<!DOCTYPE html>
<html dir="<?php if(session()->has('language_direction_from_dropdown')): ?> <?php if(session()->get('language_direction_from_dropdown') == 1): ?> <?php echo e(__('rtl')); ?> <?php else: ?> <?php echo e(__('ltr')); ?> <?php endif; ?> <?php else: ?> <?php echo e(__('ltr')); ?> <?php endif; ?>" lang="<?php if(session()->has('language_code_from_dropdown')): ?><?php echo e(str_replace('_', '-', session()->get('language_code_from_dropdown'))); ?><?php else: ?><?php echo e(str_replace('_', '-',   $language->language_code)); ?><?php endif; ?>">
<head>
    <!-- Meta Tags -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="title" content="<?php if(!empty($page_builder->meta_title)): ?> <?php echo e($page_builder->meta_title); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_title); ?> <?php endif; ?>">
    <meta name="description" content="<?php if(!empty($page_builder->meta_description)): ?> <?php echo e($page_builder->meta_description); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_description); ?> <?php endif; ?>">
    <meta name="keywords" content="<?php if(!empty($page_builder->meta_keyword)): ?> <?php echo e($page_builder->meta_keyword); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_keyword); ?> <?php endif; ?>">
    <meta name="author" content="elsecolor">
    <meta property="fb:app_id" content="<?php if(isset($seo)): ?><?php echo e($seo->fb_app_id); ?> <?php endif; ?>">
    <meta property="og:title" content="<?php if(!empty($page_builder->meta_title)): ?> <?php echo e($page_builder->meta_title); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_title); ?> <?php endif; ?>">
    <meta property="og:url" content="<?php if(isset($seo) || isset($page_builder)): ?><?php echo e(url()->current()); ?> <?php endif; ?>">
    <meta property="og:description" content="<?php if(!empty($page_builder->meta_description)): ?> <?php echo e($page_builder->meta_description); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_description); ?> <?php endif; ?>">
    <meta property="og:image" content="<?php if(!empty($favicon->favicon_image)): ?><?php echo e(asset('uploads/img/general/'.$favicon->favicon_image)); ?> <?php endif; ?>">
    <meta itemprop="image" content="<?php if(!empty($favicon->favicon_image)): ?><?php echo e(asset('uploads/img/general/'.$favicon->favicon_image)); ?> <?php endif; ?>">
    <meta property="og:type" content="website">

    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:image" content="<?php if(!empty($favicon->favicon_image)): ?><?php echo e(asset('uploads/img/general/'.$favicon->favicon_image)); ?> <?php endif; ?>">
    <meta property="twitter:title" content="<?php if(!empty($page_builder->meta_title)): ?> <?php echo e($page_builder->meta_title); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_title); ?> <?php endif; ?>">
    <meta property="twitter:description" content="<?php if(!empty($page_builder->meta_description)): ?> <?php echo e($page_builder->meta_description); ?> <?php elseif(isset($seo)): ?><?php echo e($seo->meta_description); ?> <?php endif; ?>">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Title -->
    <title><?php if(!empty($page_builder->meta_title)): ?> <?php echo e($page_builder->meta_title); ?> <?php elseif(isset($seo)): ?> <?php echo e($seo->meta_title); ?> <?php endif; ?></title>

    <?php if(!empty($favicon->favicon_image)): ?>
        <!-- Favicon -->
        <link href="<?php echo e(asset('uploads/img/general/'.$favicon->favicon_image)); ?>" sizes="128x128" rel="shortcut icon" type="image/x-icon" />
        <link href="<?php echo e(asset('uploads/img/general/'.$favicon->favicon_image)); ?>" sizes="128x128" rel="shortcut icon" />
    <?php else: ?>
        <!-- Favicon -->
        <link href="<?php echo e(asset('uploads/img/dummy/favicon.png')); ?>" sizes="128x128" rel="shortcut icon" type="image/x-icon" />
        <link href="<?php echo e(asset('uploads/img/dummy/favicon.png')); ?>" sizes="128x128" rel="shortcut icon" />
    <?php endif; ?>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <?php if(isset($font)): ?>
        <!-- Google Fonts -->
        <link href="<?php echo e($font->text_font_link); ?>" rel="stylesheet">
        <link href="<?php echo e($font->title_font_link); ?>" rel="stylesheet">
    <?php else: ?>
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,400;0,500;0,700;0,900;1,300;1,400;1,500;1,700;1,900&amp;display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800&amp;display=swap" rel="stylesheet">
    <?php endif; ?>


    <!--// Boostrap v5 //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/vendor/css/bootstrap.min.css')); ?>">
    <!--// Magnific Popup //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/vendor/css/magnific.popup.min.css')); ?>">
    <!--// Animate Css //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/vendor/css/animate.min.css')); ?>">
    <!--// Vegas Slider Css //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/vendor/css/vegas.slider.min.css')); ?>">
    <!--// Owl Carousel //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/vendor/css/owl.carousel.min.css')); ?>">
    <!--// Owl Carousel Default //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/vendor/css/owl.carousel.default.min.css')); ?>">
    <!--// Font Awesome //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/fonts/font_awesome/css/all.css')); ?>">
    <!--// Flat Icons //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/fonts/flat_icons/flaticon.css')); ?>">

    <style>

        :root {
            <?php if(isset($color_option)): ?>

            <?php if($color_option->color_option != 0): ?>
            --main-color: <?php echo e($color_option->main_color); ?>;
            --secondary-color: <?php echo e($color_option->secondary_color); ?>;
            --scroll-button-color: <?php echo e($color_option->scroll_button_color); ?>;
            --bottom-button-color: <?php echo e($color_option->bottom_button_color); ?>;
            --bottom-button-hover-color: <?php echo e($color_option->bottom_button_hover_color); ?>;
            --side-button-color: <?php echo e($color_option->side_button_color); ?>;
            <?php else: ?>
            --main-color: #ff4500;
            --secondary-color: #171718;
            --scroll-button-color: #00baa3;
            --bottom-button-color: #212529;
            --bottom-button-hover-color: #333;
            --side-button-color: #25d366;
            <?php endif; ?>

            <?php else: ?>
            --main-color: #ff4500;
            --secondary-color: #171718;
            --scroll-button-color: #00baa3;
            --bottom-button-color: #212529;
            --bottom-button-hover-color: #333;
            --side-button-color: #25d366;
            <?php endif; ?>

            <?php if(isset($font)): ?>

            --title-font:<?php echo html_entity_decode($font->title_font_family); ?>;
            --text-font: <?php echo html_entity_decode($font->text_font_family); ?>;

            <?php else: ?>
            --title-font: 'Poppins', sans-serif;
            --text-font: 'Roboto', sans-serif;
        <?php endif; ?>


        }

    </style>

    <!--// Theme Main Css //-->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/css/style.css')); ?>">
    <!--// Theme Color Css //-->

    <!--  helper style css file -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/frontend/css/helper-style.css')); ?>">

    <style>
        #counters {
            background-image: url(<?php echo e(asset('uploads/img/dummy/bg/counter-bg.png')); ?>);
        }
    </style>

    <?php if(isset($google_analytic)): ?>
        <!-- Google tag (gtag.js) -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=<?php echo e($google_analytic->google_analytic); ?>"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', '<?php echo e($google_analytic->google_analytic); ?>');
        </script>
    <?php endif; ?>
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::styles(); ?>


</head>
<body data-bs-spy="scroll" data-bs-target="#fixedNavbar" <?php if(session()->has('language_direction_from_dropdown')): ?> <?php if(session()->get('language_direction_from_dropdown') == 1): ?>  class="rtl-mode" <?php endif; ?> <?php elseif(isset($language)): ?> <?php if($language->direction == 1): ?> class="rtl-mode" <?php endif; ?>  <?php endif; ?> >

<!--// Page Wrapper Start //-->
<div class="page-wrapper" id="wrapper">

    <!--// Main Area Start //-->
    <main class="main-area">

        <?php $__currentLoopData = $data_object; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo $__env->make('frontend.sections.'.$item['folder'].'.'.$item['id'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php unset($item); ?>

    </main>
    <!--// Main Area End //-->

    <a href="#" class="scroll-top-btn" data-scroll-goto="1">
        <i class="fa fa-arrow-up"></i>
    </a>
    <!--// .scroll-top-btn // -->

    <?php echo $__env->make('frontend.sections.preloader.preloader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</div>
<!--// Page Wrapper End //-->

<?php echo $__env->make('frontend.sections.widget.bottom-style1', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('frontend.sections.widget.side-style1', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('frontend.sections.widget.fixed-button-style1', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>




<!--// JQuery //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/jquery.min.js')); ?>"></script>
<!--// Bootstrap //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/bootstrap.min.js')); ?>"></script>
<!--// Images Loaded Js //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/images.loaded.min.js')); ?>"></script>
<!--// Wow Js //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/wow.min.js')); ?>"></script>
<!--// Magnific Popup //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/magnific.popup.min.js')); ?>"></script>
<!--// Waypoint Js //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/waypoint.min.js')); ?>"></script>
<!--// Counter Up Js //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/counter.up.min.js')); ?>"></script>
<!--// JQuery Easing Functions //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/jquery.easing.min.js')); ?>"></script>
<!--// Owl Carousel //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/owl.carousel.min.js')); ?>"></script>
<!--// Form Validate //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/validate.min.js')); ?>"></script>
<!--// Form Validate //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/custom.select.plugin.js')); ?>"></script>
<!--// Scroll It //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/scrollit.min.js')); ?>"></script>
<!--// Isotope Js //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/isotope.min.js')); ?>"></script>

<?php if(isset($banner_style2)): ?>
<!--// Particles Js //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/particles.js')); ?>"></script>
<?php endif; ?>

<!--// Zepto //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/zepto.min.js')); ?>"></script>
<!--// Vegas Slider //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/vegas.slider.min.js')); ?>"></script>
<!--// MB Youtube Player //-->
<script src="<?php echo e(asset('assets/frontend/vendor/js/jquery.mb-ytb.min.js')); ?>"></script>
<!--// Main Js //-->
<script src="<?php echo e(asset('assets/frontend/js/main.js')); ?>"></script>

<?php if(session()->has('language_direction_from_dropdown')): ?>

    <?php if(session()->get('language_direction_from_dropdown') == 1): ?>

        <!-- Theme Main Js  -->
        <script src="<?php echo e(asset('assets/frontend/js/rtl-mode.js')); ?>"></script>

    <?php endif; ?>


<?php elseif(isset($language)): ?>

    <?php if($language->direction == 1): ?>

        <!-- Theme Main Js  -->
        <script src="<?php echo e(asset('assets/frontend/js/rtl-mode.js')); ?>"></script>

    <?php endif; ?>

<?php endif; ?>

<?php if(isset($banner_style3)): ?>

    <script>
        jQuery(document).ready(function() {
            jQuery("#heroSliderContainer").vegas({
                slides: [
                        <?php if(!empty($banner_style3->section_image)): ?>
                    {
                        src: "<?php echo e(asset('uploads/img/banner/'.$banner_style3->section_image)); ?>"
                    },
                        <?php endif; ?>
                        <?php if(!empty($banner_style3->section_image_2)): ?>
                    {
                        src: "<?php echo e(asset('uploads/img/banner/'.$banner_style3->section_image_2)); ?>"
                    },
                        <?php endif; ?>
                        <?php if(!empty($banner_style3->section_image_3)): ?>
                    {
                        src: "<?php echo e(asset('uploads/img/banner/'.$banner_style3->section_image_3)); ?>"
                    },
                    <?php endif; ?>
                ],
                overlay: true,
                transition: 'fade2',
                animation: 'kenburnsUpLeft'
            });
        });
    </script>

<?php else: ?>

    <script>
        jQuery(document).ready(function() {
            jQuery("#heroSliderContainer").vegas({
                slides: [

                    {
                        src: "<?php echo e(asset('uploads/img/dummy/1920x1080.jpg')); ?>"
                    },

                    {
                        src: "<?php echo e(asset('uploads/img/dummy/1920x1080.jpg')); ?>"
                    },

                ],
                overlay: true,
                transition: 'fade2',
                animation: 'kenburnsUpLeft'
            });
        });
    </script>

<?php endif; ?>

<?php if(isset($tawk_to)): ?>
    <script>
        <?php echo html_entity_decode($tawk_to->tawk_to); ?>
    </script>
<?php endif; ?>

<?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::scripts(); ?>


</body>
</html>

<?php /**PATH C:\xampp\htdocs\laravel10-digitalteam\resources\views/frontend/page_builder/index.blade.php ENDPATH**/ ?>