---
Getting Started:
    Quickstart: { uri: /docs/quickstart, file: /quickstart.md }
    Installation: { uri: /docs/installation, file: /installation.md }
    Upgrade Guide: { uri: /docs/upgrading, file: /upgrading.md }
Essentials:
    Components: { uri: /docs/components, file: /components.md }
    Properties: { uri: /docs/properties, file: /properties.md }
    Actions: { uri: /docs/actions, file: /actions.md }
    Forms: { uri: /docs/forms, file: /forms.md }
    Events: { uri: /docs/events, file: /events.md }
    Lifecycle Hooks: { uri: /docs/lifecycle-hooks, file: /lifecycle-hooks.md }
    Nesting Components: { uri: /docs/nesting, file: /nesting.md }
    Testing: { uri: /docs/testing, file: /testing.md }
Features:
    Navigate: { uri: /docs/navigate, file: /navigate.md }
    Lazy Loading: { uri: /docs/lazy, file: /lazy.md }
    Validation: { uri: /docs/validation, file: /validation.md }
    File Uploads: { uri: /docs/uploads, file: /uploads.md }
    Loading States: { uri: /docs/loading, file: /loading.md }
    Pagination: { uri: /docs/pagination, file: /pagination.md }
    URL Query Parameters: { uri: /docs/url, file: /url.md }
    Computed Properties: { uri: /docs/computed-properties, file: /computed-properties.md }
    Redirecting: { uri: /docs/redirecting, file: /redirecting.md }
    Polling: { uri: /docs/polling, file: /polling.md }
    File Downloads: { uri: /docs/downloads, file: /downloads.md }
    Locked Properties: { uri: /docs/locked, file: /locked.md }
    Dirty States: { uri: /docs/dirty, file: /dirty.md }
    Offline States: { uri: /docs/offline, file: /offline.md }
    Teleport: { uri: /docs/teleport, file: /teleport.md }
Concepts:
    Morphing: { uri: /docs/morphing, file: /morph.md }
    Hydration: { uri: /docs/hydration, file: /hydration.md }
    Nesting: { uri: /docs/understanding-nesting, file: /understanding-nesting.md }
Advanced:
    JavaScript: { uri: /docs/javascript, file: /javascript.md }
    Synthesizers: { uri: /docs/synthesizers, file: /synthesizers.md }
Packages:
    Volt: { uri: /docs/volt, file: /volt.md }
---

Concepts:
    How Livewire Works: { uri: /docs/ }
    Understanding Nested Components: { uri: /docs/ }
    Component Hydration: { uri: /docs/ }
    Anatomy Of A Request: { uri: /docs/ }
    DOM diff-patch: { uri: /docs/ }
UI Components:
    Dropdown: { uri: /docs/dropdown, file: /dropdown.md }
    Modal: { uri: /docs/modal, file: /modal.md }
    Tabs: { uri: /docs/tabs, file: /tabs.md }
Extending:
    Synthesizers: { uri: /docs/foo }
    Wireables: { uri: /docs/foo }
    Traits: { uri: /docs/foo }
    Component Hooks: { uri: /docs/foo }
    JavaScript Hooks: { uri: /docs/foo }
Deeper Concepts:
    Best Practices: { uri: /docs/foo }
    Performance Optimization: { uri: /docs/foo }
    Component Code Reuse: { uri: /docs/foo }
    Deployment: { uri: /docs/foo }
    Troubleshooting: { uri: /docs/foo }
    Security: { uri: /docs/foo }
    API Reference: { uri: /docs/foo }
